package com.siwei.job;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import com.siwei.common.security.annotation.EnableCustomConfig;
import com.siwei.common.security.annotation.EnableRyFeignClients;

/**
 * 定时任务
 * 
 * @author siwei-zhx
 */
@EnableCustomConfig
@EnableRyFeignClients   
@SpringBootApplication
public class SiWeiJobApplication
{
    public static void main(String[] args)
    {
        SpringApplication.run(SiWeiJobApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  定时任务模块启动成功   ლ(´ڡ`ლ)ﾞ ");
    }
}
