package com.siwei.rsmonitoring.mapper;

import java.util.List;
import com.siwei.rsmonitoring.domain.TDkjbxxHgxRecord;

/**
 * 地块基本信息合规性判定记录Mapper接口
 * 
 * @author siwei
 * @date 2025-02-17
 */
public interface TDkjbxxHgxRecordMapper 
{
    /**
     * 查询地块基本信息合规性判定记录
     * 
     * @param id 地块基本信息合规性判定记录主键
     * @return 地块基本信息合规性判定记录
     */
    public TDkjbxxHgxRecord selectTDkjbxxHgxRecordById(String id);

    /**
     * 查询地块基本信息合规性判定记录列表
     * 
     * @param tDkjbxxHgxRecord 地块基本信息合规性判定记录
     * @return 地块基本信息合规性判定记录集合
     */
    public List<TDkjbxxHgxRecord> selectTDkjbxxHgxRecordList(TDkjbxxHgxRecord tDkjbxxHgxRecord);

    /**
     * 新增地块基本信息合规性判定记录
     * 
     * @param tDkjbxxHgxRecord 地块基本信息合规性判定记录
     * @return 结果
     */
    public int insertTDkjbxxHgxRecord(TDkjbxxHgxRecord tDkjbxxHgxRecord);

    /**
     * 修改地块基本信息合规性判定记录
     * 
     * @param tDkjbxxHgxRecord 地块基本信息合规性判定记录
     * @return 结果
     */
    public int updateTDkjbxxHgxRecord(TDkjbxxHgxRecord tDkjbxxHgxRecord);

    /**
     * 删除地块基本信息合规性判定记录
     * 
     * @param id 地块基本信息合规性判定记录主键
     * @return 结果
     */
    public int deleteTDkjbxxHgxRecordById(String id);

    /**
     * 批量删除地块基本信息合规性判定记录
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDkjbxxHgxRecordByIds(String[] ids);
}
