<h1 align="center" style="margin: 30px 0 30px; font-weight: bold;">SiWei  nacos 2.3.2</h1>
<h4 align="center">基于naocs2.3.2 </h4>

## 平台简介

* 此版本支持mysql，postgresql 
* 此版本已开启nacos鉴权 账户/密码 nacos/nacos
* 此版本的sql可以在cloud项目文件夹的sql中查找，也可以配置完后导入配置

## 单机启动

```bash
# 进入到bin路径，启动下面命令
./startup.cmd -m standalone

```

## psotgresql配置

```bash
# 配置信息
spring.datasource.platform=postgresql
spring.sql.init.platform=postgresql

### Count of DB:
db.num=1

### Connect URL of DB:
db.url.0=jdbc:postgresql://192.168.60.221:5432/postgres?currentSchema=nacos232&reWriteBatchedInserts=true&useUnicode=true&characterEncoding=utf8&serverTimezone=Asia/Shanghai
db.user.0=postgres
db.password.0=postgis
db.pool.config.driverClassName=org.postgresql.Driver

```

## mysql配置

```bash
# 配置信息
spring.sql.init.platform=mysql

### Count of DB:
db.num=1

### Connect URL of DB:
db.url.0=jdbc:mysql://127.0.0.1:3306/nacos232?characterEncoding=utf8&connectTimeout=1000&socketTimeout=3000&autoReconnect=true&useUnicode=true&useSSL=false&serverTimezone=UTC
db.user.0=user01
db.password.0=user01

```

## 鉴权配置

```bash
# 配置信息
nacos.core.auth.enabled=true

### Turn on/off caching of auth information. By turning on this switch, the update of auth information would have a 15 seconds delay.
nacos.core.auth.caching.enabled=true

### Since 1.4.1, Turn on/off white auth for user-agent: nacos-server, only for upgrade from old version.
nacos.core.auth.enable.userAgentAuthWhite=false

### Since 1.4.1, worked when nacos.core.auth.enabled=true and nacos.core.auth.enable.userAgentAuthWhite=false.
### The two properties is the white list for auth and used by identity the request from other server.
nacos.core.auth.server.identity.key=nacos
nacos.core.auth.server.identity.value=nacos123

### worked when nacos.core.auth.system.type=nacos
### The token expiration in seconds:
nacos.core.auth.plugin.nacos.token.cache.enable=false
nacos.core.auth.plugin.nacos.token.expire.seconds=18000
### The default token (Base64 String):
nacos.core.auth.plugin.nacos.token.secret.key=VGhpc0lzTXlDdXN0b21TZWNyZXRLZXkwMTIzNDU2Nzg=

```