package com.siwei.auth;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.boot.autoconfigure.jdbc.DataSourceAutoConfiguration;
import com.siwei.common.security.annotation.EnableRyFeignClients;

/**
 * 认证授权中心
 * 
 * @author siwei-zhx
 */
@EnableRyFeignClients
@SpringBootApplication(exclude = {DataSourceAutoConfiguration.class })
public class SiWeiAuthApplication
{
    public static void main(String[] args)
    {
        SpringApplication.run(SiWeiAuthApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  认证授权中心启动成功   ლ(´ڡ`ლ)ﾞ ");
    }
}
