package com.siwei.file.service;

import org.springframework.web.multipart.MultipartFile;

/**
 * 文件上传接口
 *
 * @author siwei-zhx
 */
public interface ISysFileService {
    /**
     * 文件上传接口
     *
     * @param file 上传的文件
     * @return 访问地址
     * @throws Exception
     */
    public String uploadFile(MultipartFile file) throws Exception;

    /**
     * 文件上传接口v1
     *
     * @param file 上传的文件
     * @return 访问地址, 和相对地址
     * @throws Exception
     */
    public String[] uploadFileV1(MultipartFile file) throws Exception;
}
