package com.siwei.job.task;

import com.siwei.common.core.constant.SecurityConstants;
import com.siwei.common.log.annotation.Log;
import com.siwei.common.log.enums.BusinessType;
import com.siwei.system.api.RemoteAuditflowTypeService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 定时任务 核查流程相关调用
 *
 * @author siwei-zhx
 */
@Component("auditFlowTask")
public class AuditFlowTask {

    @Autowired
    private RemoteAuditflowTypeService remoteAuditflowTypeService;

    /**
     * 缓存核查流程数据
     */
    public void AuditFlowTypeCache() {
        System.out.println("AuditFlowTypeCache 执行开始");
        remoteAuditflowTypeService.auditFlowCache(SecurityConstants.INNER);
    }

}
