package com.siwei.rsmonitoring;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import com.siwei.common.security.annotation.EnableCustomConfig;
import com.siwei.common.security.annotation.EnableRyFeignClients;

/**
 * 系统模块
 *
 * @author siwei-zhx
 */
@EnableCustomConfig
@EnableRyFeignClients
@SpringBootApplication
public class SiWeiRsmonitoringApplication {
    public static void main(String[] args) {
        SpringApplication.run(SiWeiRsmonitoringApplication.class, args);
        System.out.println("(♥◠‿◠)ﾉﾞ  核查业务模块启动成功   ლ(´ڡ`ლ)ﾞ  ");
    }
}
