package com.siwei.rsmonitoring.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.siwei.common.core.annotation.Excel;
import com.siwei.common.core.web.domain.BaseEntity;

/**
 * 地块外业提交对象 t_fieldwork_tj
 *
 * @author siwei
 * @date 2025-03-05
 */
public class TFieldworkTj extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * id
     */
    private String id;

    /**
     * 地块ID
     */
    @Excel(name = "地块ID")
    private String dkjbxxId;

    @Excel(name = "地块编号")
    private String dkbh;

    /**
     * 审核结论 0同意 1驳回
     */
    @Excel(name = "审核结论 0同意 1驳回")
    private String decide;

    /**
     * 注释
     */
    @Excel(name = "注释")
    private String notes;

    /**
     * 核查流程ID
     */
    @Excel(name = "核查流程ID")
    private String auditflowId;

    /**
     * 核查流程步骤
     */
    @Excel(name = "核查流程步骤")
    private String auditflowStep;

    private String fieldworkId;

    public void setId(String id) {
        this.id = id;
    }

    public String getId() {
        return id;
    }

    public void setDkjbxxId(String dkjbxxId) {
        this.dkjbxxId = dkjbxxId;
    }

    public String getDkjbxxId() {
        return dkjbxxId;
    }

    public void setDecide(String decide) {
        this.decide = decide;
    }

    public String getDecide() {
        return decide;
    }

    public void setNotes(String notes) {
        this.notes = notes;
    }

    public String getNotes() {
        return notes;
    }

    public void setAuditflowId(String auditflowId) {
        this.auditflowId = auditflowId;
    }

    public String getAuditflowId() {
        return auditflowId;
    }

    public void setAuditflowStep(String auditflowStep) {
        this.auditflowStep = auditflowStep;
    }

    public String getAuditflowStep() {
        return auditflowStep;
    }

    public String getFieldworkId() {
        return fieldworkId;
    }

    public void setFieldworkId(String fieldworkId) {
        this.fieldworkId = fieldworkId;
    }

    public String getDkbh() {
        return dkbh;
    }

    public void setDkbh(String dkbh) {
        this.dkbh = dkbh;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("id", getId())
                .append("dkjbxxId", getDkjbxxId())
                .append("decide", getDecide())
                .append("notes", getNotes())
                .append("createBy", getCreateBy())
                .append("createTime", getCreateTime())
                .append("auditflowId", getAuditflowId())
                .append("auditflowStep", getAuditflowStep())
                .toString();
    }
}
