package com.siwei.rsmonitoring.mapper;

import com.siwei.rsmonitoring.domain.vo.DataCountVo;
import com.siwei.rsmonitoring.domain.vo.QkCountVo;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

public interface QkZtMapper {

    /**
     * 统计地块汇总信息
     *
     * @param qkCountVo
     * @return
     */
    public QkCountVo selectQkZtCount(@Param("dataCountVo") QkCountVo qkCountVo);
    public QkCountVo selectYpdtbcfQkZtCount(@Param("dataCountVo") QkCountVo qkCountVo);

    public Map<String, Object> selectSqlCount(
            @Param("dataCountVo") QkCountVo qkCountVo,
            @Param("v1_sql") String summary_sql,
            @Param("v2_sql") String result_sql);

    public Map<String, Object> selectPdtuSqlCount(
            @Param("dataCountVo") QkCountVo qkCountVo,
            @Param("v1_sql") String summary_sql,
            @Param("v2_sql") String result_sql);

}
