package com.siwei.rsmonitoring.mapper;

import java.util.List;
import com.siwei.rsmonitoring.domain.TDkjbxxHc;

/**
 * 地块基本信息核查判定Mapper接口
 * 
 * @author siwei
 * @date 2025-03-03
 */
public interface TDkjbxxHcMapper 
{
    /**
     * 查询地块基本信息核查判定
     * 
     * @param id 地块基本信息核查判定主键
     * @return 地块基本信息核查判定
     */
    public TDkjbxxHc selectTDkjbxxHcById(String id);

    /**
     * 查询地块基本信息核查判定列表
     * 
     * @param tDkjbxxHc 地块基本信息核查判定
     * @return 地块基本信息核查判定集合
     */
    public List<TDkjbxxHc> selectTDkjbxxHcList(TDkjbxxHc tDkjbxxHc);

    /**
     * 新增地块基本信息核查判定
     * 
     * @param tDkjbxxHc 地块基本信息核查判定
     * @return 结果
     */
    public int insertTDkjbxxHc(TDkjbxxHc tDkjbxxHc);

    /**
     * 修改地块基本信息核查判定
     * 
     * @param tDkjbxxHc 地块基本信息核查判定
     * @return 结果
     */
    public int updateTDkjbxxHc(TDkjbxxHc tDkjbxxHc);

    /**
     * 删除地块基本信息核查判定
     * 
     * @param id 地块基本信息核查判定主键
     * @return 结果
     */
    public int deleteTDkjbxxHcById(String id);

    /**
     * 批量删除地块基本信息核查判定
     * 
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTDkjbxxHcByIds(String[] ids);
}
